# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Mar  5 09:08:43 2021
# ------------------------------------------------

package:
  name: fftw
  version: 3.3.9
source:
  fn: fftw-3.3.9.tar.gz
  sha256: bf2c7ce40b04ae811af714deb512510cc2c17b9ab9d6ddcf49fe4487eea7af3d
  url: http://www.fftw.org/fftw-3.3.9.tar.gz
build:
  number: '101'
  run_exports:
    - fftw
  string: nompi_h74d3f13_101
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - autoconf 2.69 pl5320h36c2ea0_10
    - automake 1.16.2 pl5320ha770c72_3
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - gcc_impl_linux-64 9.3.0 h70c0ae5_18
    - gcc_linux-64 9.3.0 hf25ea35_30
    - gettext 0.19.8.1 h0b5b191_1005
    - gfortran_impl_linux-64 9.3.0 hc4a2995_18
    - gfortran_linux-64 9.3.0 hdc58fab_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libffi 3.3 h58526e2_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_18
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgfortran5 9.3.0 hff62375_18
    - libgomp 9.3.0 h2828fa1_18
    - libstdcxx-ng 9.3.0 h6de172a_18
    - libtool 2.4.6 h58526e2_1007
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - perl 5.32.0 h36c2ea0_0
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgfortran-ng 9.3.0 hff62375_18
    - libgfortran5 9.3.0 hff62375_18
    - libgomp 9.3.0 h2828fa1_18
  run:
    - libgcc-ng >=9.3.0
    - libgfortran-ng
    - libgfortran5 >=9.3.0
test:
  commands:
    - 'strings ${PREFIX}/lib/libfftw3.a | grep -q dfftw || exit 1

      '
    - test -f ${PREFIX}/lib/libfftw3f.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3l.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3f_threads.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3_threads.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3l_threads.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3f_omp.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3_omp.a || exit 1
    - test -f ${PREFIX}/lib/libfftw3l_omp.a || exit 1
    - test -f ${PREFIX}/include/fftw3.h || exit 1
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3_threads${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3f${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3f_threads${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3l${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3l_threads${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3_omp${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3f_omp${SHLIB_EXT}']"
    - python -c "import ctypes; ctypes.cdll[r'${PREFIX}/lib/libfftw3l_omp${SHLIB_EXT}']"
  requires:
    - python
about:
  home: http://fftw.org
  license: GPL-2.0-or-later
  license_file: COPYING
  summary: The fastest Fourier transform in the west.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - alexbw
    - egpbos
    - grlee77
    - jakirkham
    - jschueller
